using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Curses : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            this.CurseName_RQVal.ErrorMessage = "Pole 'Nzov kurzu' je povinn !";
            this.DateFrom_RQVal.ErrorMessage = "Pole 'Dtum od' je povinn !";
        }

        this.Message_L.Visible = false;
    }

    protected void Curses_GridView_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        ProfessionQueryManager professionQueryManager = new ProfessionQueryManager("OdbcString");

        if (e.CommandName == "Select_Row")
        {
            int id = Convert.ToInt32(Curses_GridView.DataKeys[Convert.ToInt32(e.CommandArgument)].Value);
            string selectionString = "SELECT * FROM alumni.kurz WHERE id = " + id;

            System.Collections.ArrayList al = professionQueryManager.SelectFromDatabase(selectionString);

            if (al != null)
            {
                this.CurseName_T.Text = al[1].ToString();
                this.DateFrom_T.Text = Convert.ToDateTime(al[2].ToString()).ToShortDateString();
                this.DateTo_T.Text = Convert.ToDateTime(al[3].ToString()).ToShortDateString();
                this.Comment_TA.Value = al[4].ToString();
            }
        }
        else if (e.CommandName == "Delete_Row")
        {
            int id = Convert.ToInt32(Curses_GridView.DataKeys[Convert.ToInt32(e.CommandArgument)].Value);

            string deletionString = "DELETE FROM alumni.kurz WHERE id = " + id;
            professionQueryManager.SelectFromDatabase(deletionString);

            this.Curses_GridView.DataBind();

            this.Message_L.Text = "Zznam bol spene vymazan.";
            this.Message_L.Visible = true;
        }
    }

    protected void Add_Button_Click(object sender, EventArgs e)
    {
        int osoba_id = ((CustomPrincipal)this.Page.User).Id;
        string nazov = this.CurseName_T.Text;
        DateTime datum_od = DateTime.Parse(this.DateFrom_T.Text);
        DateTime datum_do = DateTime.Parse(this.DateTo_T.Text);
        string pozn = this.Comment_TA.Value;

        ProfessionQueryManager professionQueryManager = new ProfessionQueryManager("OdbcString");

        bool status = professionQueryManager.InsertKurz(osoba_id, nazov, datum_od, datum_do, pozn);

        if (status) 
        {
            this.Curses_GridView.DataBind();
            this.Message_L.Text = "Zznam bol spene pridan.";
            this.Message_L.Visible = true;
        }
    }
}
