using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Languages : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ProfessionQueryManager professionQueryManager = new ProfessionQueryManager("OdbcString");

            professionQueryManager.GetDDLDataSource("SELECT id, hodnotenie_skupina FROM alumni.jazyk_hodnotenie", this.Understanding_Listening_DDL);
            professionQueryManager.GetDDLDataSource("SELECT id, hodnotenie_skupina FROM alumni.jazyk_hodnotenie", this.Understanding_Listening_DDL);
            professionQueryManager.GetDDLDataSource("SELECT id, hodnotenie_skupina FROM alumni.jazyk_hodnotenie", this.Understanding_Reading_DDL);
            professionQueryManager.GetDDLDataSource("SELECT id, hodnotenie_skupina FROM alumni.jazyk_hodnotenie", this.Communication_Interaction_DDL);
            professionQueryManager.GetDDLDataSource("SELECT id, hodnotenie_skupina FROM alumni.jazyk_hodnotenie", this.Communication_Speech_DDL);
            professionQueryManager.GetDDLDataSource("SELECT id, hodnotenie_skupina FROM alumni.jazyk_hodnotenie", this.Writing_DDL);

            this.Language_RQVal.ErrorMessage = "Pole 'Jazyk' je povinn !";
        }

        this.Message_L.Visible = false;
    }

    protected void Languages_GridView_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        ProfessionQueryManager professionQueryManager = new ProfessionQueryManager("OdbcString");

        if (e.CommandName == "Select_Row")
        {
            int id = Convert.ToInt32(Languages_GridView.DataKeys[Convert.ToInt32(e.CommandArgument)].Value);
            string selectionString = "SELECT * FROM alumni.jazyk WHERE id = " + id;

            System.Collections.ArrayList al = professionQueryManager.SelectFromDatabase(selectionString);

            if (al != null)
            {
                this.Understanding_Listening_DDL.SelectedValue = al[2].ToString();
                this.Understanding_Reading_DDL.SelectedValue = al[3].ToString();
                this.Communication_Interaction_DDL.SelectedValue = al[4].ToString();
                this.Communication_Speech_DDL.SelectedValue = al[5].ToString();
                this.Writing_DDL.SelectedValue = al[6].ToString();
                this.Language_T.Text = al[7].ToString();
            }
        }
        else if (e.CommandName == "Delete_Row")
        {
            int id = Convert.ToInt32(Languages_GridView.DataKeys[Convert.ToInt32(e.CommandArgument)].Value);

            string deletionString = "DELETE FROM alumni.jazyk WHERE id = " + id;
            professionQueryManager.SelectFromDatabase(deletionString);

            this.Languages_GridView.DataBind();

            this.Message_L.Text = "Zznam bol spene vymazan.";
            this.Message_L.Visible = true;
        }
    }

    protected void Add_Button_Click(object sender, EventArgs e)
    {
        int osoba_id = ((CustomPrincipal)this.Page.User).Id;
        string jazyk = this.Language_T.Text;
        int poroz_pocuvanie = Convert.ToInt32(this.Understanding_Listening_DDL.SelectedValue);
        int poroz_citanie = Convert.ToInt32(this.Understanding_Reading_DDL.SelectedValue);
        int kom_interakcia = Convert.ToInt32(this.Communication_Interaction_DDL.SelectedValue);
        int kom_prejav = Convert.ToInt32(this.Communication_Speech_DDL.SelectedValue);
        int pisanie = Convert.ToInt32(this.Writing_DDL.SelectedValue);

        ProfessionQueryManager professionQueryManager = new ProfessionQueryManager("OdbcString");

        bool status = professionQueryManager.InsertLanguage(osoba_id, jazyk, poroz_pocuvanie, poroz_citanie,
                                                            kom_interakcia, kom_prejav, pisanie);

        if (status) 
        {
            this.Languages_GridView.DataBind();
            this.Message_L.Text = "Zznam bol spene pridan.";
            this.Message_L.Visible = true;
        }
    }
}
