﻿<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="NewProject.aspx.cs" Inherits="NewProject" Title="Alumni" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<asp:Content ID="Page_Content" ContentPlaceHolderID="Page_ContentPlaceHolder" Runat="Server">
    <table id="Register_Table">
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Caption" runat="server" Text="Názov"></asp:Label>
            </td>
            <td style="width: 270px">
                <asp:TextBox ID="Caption_TextBox" runat="server" CssClass="Caption_TextBox"></asp:TextBox>
            </td>
            <td style="width: 37px">
                <asp:RegularExpressionValidator ID="Caption_RegularExpressionValidator" runat="server" ErrorMessage="Nesprávne zadaný názov" ControlToValidate="Caption_TextBox" ValidationExpression="^.{3,100}$" Display="None" ToolTip="Nesprávne zadaný názov">?</asp:RegularExpressionValidator><asp:RequiredFieldValidator ID="Caption_RequiredFieldValidator" runat="server" ControlToValidate="Caption_TextBox"
                    ErrorMessage="Nie je zadaný názov" Display="None" ToolTip="Nie je zadaný názov">?</asp:RequiredFieldValidator>     
            </td>
        </tr>
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Leader" runat="server" Text="Vedúci"></asp:Label>
            </td>
            <td style="width: 270px">
                <asp:TextBox ID="Leader_TextBox" runat="server" CssClass="Register_TextBox"></asp:TextBox>
            </td>
            <td style="width: 37px">
                <asp:RegularExpressionValidator ID="Leader_RegularExpressionValidator" runat="server" ErrorMessage="Nesprávne zadané meno vedúceho" ControlToValidate="Leader_TextBox" ValidationExpression="^.{3,50}$" Display="None" ToolTip="Nesprávne zadané meno vedúceho">?</asp:RegularExpressionValidator>
            </td>
        </tr>
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Target" runat="server" Text="Odkaz"></asp:Label>
            </td>
            <td style="width: 270px">
                <asp:TextBox ID="Target_TextBox" runat="server" CssClass="Register_TextBox"></asp:TextBox>
            </td>
            <td style="width: 37px">
           
            </td>
        </tr>
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Date_Label" runat="server" Text="Dátum"></asp:Label>
            </td>
            <td style="width: 270px">
                <asp:TextBox ID="Date_TextBox" runat="server" CssClass="Register_TextBox"></asp:TextBox>
            </td>
            <td style="width: 37px">
                <asp:RegularExpressionValidator ID="Date_RegularExpressionValidator" runat="server" ErrorMessage="Nesprávny formát dátumu" ControlToValidate="Date_TextBox" Display="None" ValidationExpression="^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$" ToolTip="Nesprávny formát dátumu">?</asp:RegularExpressionValidator>
                <asp:RequiredFieldValidator ID="Date_RequiredFieldValidator" runat="server" ControlToValidate="Date_TextBox"
                    ErrorMessage="Nie je zadaný dátum" Display="None" ToolTip="Nie je zadaný dátum">?</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Abstract" runat="server" Text="Abstrakt"></asp:Label></td>
            <td style="width: 270px">
                <asp:TextBox ID="Abstract_TextBox" runat="server" TextMode="MultiLine" Height="101px" Width="260px"></asp:TextBox></td>
            <td style="width: 37px">
            </td>
        </tr>
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Keywords" runat="server" Text="Kľúčové slová"></asp:Label></td>
            <td style="width: 270px">
                <asp:TextBox ID="Keywords_TextBox" runat="server" Height="17px" Width="260px"></asp:TextBox></td>
            <td style="width: 37px">
            <asp:RequiredFieldValidator ID="Keywords_RequiredFieldValidator" runat="server" ControlToValidate="Keywords_TextBox" ErrorMessage="Nie sú zadané k¾uèové slová" Display="None" ToolTip="Nie sú zadané k¾uèové slová">?</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Note" runat="server" Text="Poznámka"></asp:Label></td>
            <td style="width: 270px">
                <asp:TextBox ID="Note_TextBox" runat="server" Height="101px" TextMode="MultiLine" Width="260px"></asp:TextBox></td>
            <td style="width: 37px">
            </td>
        </tr>
        <tr>
            <td align="center" colspan="2">
                <asp:Label ID="Succes_Label" runat="server" ForeColor="Green" Text="Projekt pridaný"
                    Visible="False"></asp:Label>
                <asp:Label ID="Error_Label" runat="server" ForeColor="Red"
                    Visible="False"></asp:Label></td>
            <td style="width: 37px">
            </td>
        </tr>
        <tr>
            <td align="center" colspan="2">
                <asp:Button ID="Add_Button" runat="server" CssClass="Page_Button" Text="Pridať" OnClick="Add_Button_Click" />
            </td>
            <td align="center" colspan="1" style="width: 37px">
            </td>
        </tr>
    </table>
    <cc1:ValidatorCalloutExtender ID="Caption_REV_ValidatorCalloutExtender" runat="server"
        TargetControlID="Caption_RegularExpressionValidator" HighlightCssClass="Validator" >
    </cc1:ValidatorCalloutExtender>
    <cc1:ValidatorCalloutExtender ID="Caption_RFV_ValidatorCalloutExtender" runat="server"
        TargetControlID="Caption_RequiredFieldValidator" HighlightCssClass="Validator">
    </cc1:ValidatorCalloutExtender>
    <cc1:ValidatorCalloutExtender ID="Keywords_RFV_ValidatorCalloutExtender" runat="server"
        TargetControlID="Keywords_RequiredFieldValidator" HighlightCssClass="Validator">
    </cc1:ValidatorCalloutExtender>
    <cc1:ValidatorCalloutExtender ID="Date_REV_ValidatorCalloutExtender" runat="server"
        TargetControlID="Date_RegularExpressionValidator" HighlightCssClass="Validator">
    </cc1:ValidatorCalloutExtender>
    <cc1:ValidatorCalloutExtender ID="Date_RFV_ValidatorCalloutExtender" runat="server"
        TargetControlID="Date_RequiredFieldValidator" HighlightCssClass="Validator">
    </cc1:ValidatorCalloutExtender>
        <cc1:ValidatorCalloutExtender ID="Leader_REV_ValidatorCalloutExtender" runat="server"
        TargetControlID="Leader_RegularExpressionValidator" HighlightCssClass="Validator">
    </cc1:ValidatorCalloutExtender>
</asp:Content>