using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Security.Principal;
//using CoreLab.Data;
//using CoreLab.PostgreSql;
//using CoreLab.PostgreSql.Web;
//using CoreLab.PostgreSql.Web.Providers;
using System.Data.Odbc;

public class CustomPrincipal : GenericPrincipal
{
    private int id;

    public CustomPrincipal(int id, IIdentity identity, string[] roles)
        : base(identity, roles)
    {
            this.id = id;
            //konto = identity.Name;       
            OdbcConnection conn = new OdbcConnection(ConfigurationManager.ConnectionStrings["OdbcString"].ConnectionString);
            string sql = @"Select o.*,t.*,a.*,s.* from (alumni.osoba as o
                                    left join alumni.typ_osoby as t on (o.typ_osoby_id = t.id)
                                    left join alumni.adresa as a on (o.adresa_id = a.id)
                                    left join alumni.stat as s on (a.stat_id = s.id))where konto = '" + identity.Name + "'";
            conn.Open();
            OdbcCommand cmd = new OdbcCommand(sql, conn);
            OdbcDataReader rs = cmd.ExecuteReader(CommandBehavior.CloseConnection);
            while (rs.Read())
            {
                if (rs["priezvisko"] != null)
                    this.priezvisko = rs["priezvisko"].ToString();
                if (rs["ulica"] != null)
                    this.ulica = rs["ulica"].ToString();
                if (rs["mesto"] != null)
                    this.mesto = rs["mesto"].ToString();
                if (rs["cislo"] != null)
                    this.cislo = rs["cislo"].ToString();
                if (rs["stat"] != null)
                    this.stat = rs["stat"].ToString();
                //if (rs["konto"] != null)
                //    this.konto = rs["konto"].ToString();
                if (rs["meno"] != null)
                    this.meno = rs["meno"].ToString();
                //if (rs["konto_aktivne"] != null)
                //    this.konto_aktivne = (bool)rs["konto_aktivne"];               
                if (rs["posledne_prihlasenie"] != null)
                    this.posledne_prihlasenie = (DateTime)rs["posledne_prihlasenie"];
                if (rs["titul_pred"] != null)
                    this.titul_pred = rs["titul_pred"].ToString();
                if (rs["titul_za"] != null)
                    this.titul_za = rs["titul_za"].ToString();
                if (rs["rodne_priezvisko"] != null)
                    this.rodne_priezvisko = rs["rodne_priezvisko"].ToString();
                if (rs["statna_prislusnost"] != null)
                    this.statna_prislusnost = rs["statna_prislusnost"].ToString();
                if (rs["materinsky_jazyk"] != null)
                    this.materinsky_jazyk = rs["materinsky_jazyk"].ToString();
                if (rs["telefon"] != null)
                    this.telefon = rs["telefon"].ToString();
                if (rs["email"] != null)
                    this.email = rs["email"].ToString();
                if (rs["web"] != null)
                    this.web = rs["web"].ToString();
                if (rs["pohlavie"] != null)
                    this.pohlavie = rs["pohlavie"].ToString();
                if (rs["datum_narodenia"] != null)
                    this.datum_narodenia = (DateTime)rs["datum_narodenia"];
                if (rs["cv_ine"] != string.Empty)
                    this.cv_ine = rs["cv_ine"].ToString();
                //if ((rs["icq"] != null) && (rs["icq"].ToString() != string.Empty))
                //    this.icq = (float)rs["icq"];
                if (rs["skype"] != null)
                    this.skype = rs["skype"].ToString();
                if (rs["adresa_id"] != null)
                    this.adresaId = rs["adresa_id"].ToString();
                if (rs["stat_id"] != null)
                    this.statId = rs["stat_id"].ToString();
                //if (rs["id"] != null)
                //    this.id = (int)rs["id"];
            }
    }

    public int Id
    {
        get { return id; }
    }

    string adresaId;

    public string AdresaId
    {
        get { return adresaId; }
    }

    string statId;

    public string StatId
    {
        get { return statId; }
    }

    string priezvisko;

    public string Priezvisko
    {
        get { return priezvisko; }
    }

    string meno;

    public string Meno
    {
        get { return meno; }
    }

    bool konto_aktivne;

    public bool Konto_aktivne
    {
        get { return konto_aktivne; }
    }

    DateTime posledne_prihlasenie;

    public DateTime Posledne_prihlasenie
    {
        get { return posledne_prihlasenie; }
    }

    string posledna_ip;

    public string Posledna_ip
    {
        get { return posledna_ip; }
    }

    string titul_pred;

    public string Titul_pred
    {
        get { return titul_pred; }
    }

    string titul_za;

    public string Titul_za
    {
        get { return titul_za; }
    }

    string rodne_priezvisko;

    public string Rodne_priezvisko
    {
        get { return rodne_priezvisko; }
    }

    string statna_prislusnost;

    public string Statna_prislusnost
    {
        get { return statna_prislusnost; }
    }

    string materinsky_jazyk;

    public string Materinsky_jazyk
    {
        get { return materinsky_jazyk; }
    }

    string telefon;

    public string Telefon
    {
        get { return telefon; }
    }

    string email;

    public string Email
    {
        get { return email; }
    }

    string web;

    public string Web
    {
        get { return web; }
    }

    string pohlavie;

    public string Pohlavie
    {
        get { return pohlavie; }
    }

    DateTime datum_narodenia;

    public DateTime Datum_narodenia
    {
        get { return datum_narodenia; }
    }

    string cv_ine;

    public string Cv_ine
    {
        get { return cv_ine; }
    }

    int icq;

    public int Icq
    {
        get { return icq; }
    }

    string skype;

    public string Skype
    {
        get { return skype; }
    }

    byte[] fotografia;

    public byte[] Fotografia
    {
        get { return fotografia; }
    }

    string ulica;

    public string Ulica
    {
        get { return ulica; }
    }

    string cislo;

    public string Cislo
    {
        get { return cislo; }
    }

    string mesto;

    public string Mesto
    {
        get { return mesto; }
    }

    string stat;

    public string Stat
    {
        get { return stat; }
    }
}
