﻿<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="Approve.aspx.cs" Inherits="Approve" Title="Alumni" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<asp:Content ID="Page_Content" ContentPlaceHolderID="Page_ContentPlaceHolder" Runat="Server">
    <asp:DetailsView ID="Approve_DetailsView" runat="server" Height="200px" Width="400px" DataSourceID="Approve_SqlDataSouce" AutoGenerateRows="False" CssClass="DetailsView" HeaderText="Registračná požiadavka">
        <RowStyle HorizontalAlign="Left" />
        <Fields>
            <asp:TemplateField HeaderText="Prihlasovacie meno">
                <ItemTemplate>
                    <asp:TextBox ID="Login_TextBox" Width="225px" runat="server"></asp:TextBox>
                    <asp:RegularExpressionValidator ID="Login_RegularExpressionValidator" runat="server"
                        ControlToValidate="Login_TextBox" ErrorMessage="Nesprávny formát prihlasovacieho mena"
                        ToolTip="Nesprávny formát prihlasovacieho mena" ValidationExpression="[a-zA-Z0-9.-]{2,20}">?</asp:RegularExpressionValidator>
                    <asp:RequiredFieldValidator ID="Login_RequiredFieldValidator" runat="server" ControlToValidate="Login_TextBox"
                        Display="None" ErrorMessage="Nie je zadané prihlasovacie meno"
                        ToolTip="Nie je zadané prihlasovacie meno">?</asp:RequiredFieldValidator>
                    <cc1:validatorcalloutextender id="Login_REV_ValidatorCalloutExtender" runat="server"
                        targetcontrolid="Login_RegularExpressionValidator" HighlightCssClass="Validator"></cc1:validatorcalloutextender>
                    <cc1:validatorcalloutextender id="Login_RFV_ValidatorCalloutExtender" runat="server"
                        targetcontrolid="Login_RequiredFieldValidator" HighlightCssClass="Validator"></cc1:validatorcalloutextender>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Priradiť rolu">
                <ItemTemplate>
                    <asp:DropDownList ID="Role_DropDownList" runat="server" DataSourceID="Role_SqlDataSource"
                        DataTextField="typ" DataValueField="id" Width="230px">
                    </asp:DropDownList>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="meno" HeaderText="Meno" />
            <asp:BoundField DataField="priezvisko" HeaderText="Priezvisko" />
            <asp:BoundField DataField="email" HeaderText="Email" />
            <asp:BoundField DataField="datum_narodenia" HeaderText="D&#225;tum narodenia" DataFormatString="{0:D}" HtmlEncode="False" />
            <asp:BoundField DataField="rok_absolvovania" HeaderText="Rok absolvovania" />
            <asp:BoundField DataField="typ" HeaderText="Typ registr&#225;cie"
                SortExpression="alumni.typ_registracie.typ" />
            <asp:TemplateField ShowHeader="False">
                <ItemTemplate>
                    <asp:Label ID="Error_Label" runat="server" ForeColor="Red"
                        Visible="False"></asp:Label>
                    <asp:Label ID="Success_Label" runat="server" ForeColor="Green"></asp:Label>
                </ItemTemplate>
                <ItemStyle HorizontalAlign="Center" />
            </asp:TemplateField>
            <asp:TemplateField ShowHeader="False">
                <ItemTemplate>
                    <asp:Button ID="Approve_Button" CssClass="Page_Button" runat="server" Text="Potvrdiť" Width="100px" OnClick="Approve_Button_Click" />&nbsp;
                    <asp:Button ID="Discard_Button" CssClass="Page_Button" runat="server" Text="Vymazať" Width="100px" OnClick="Discard_Button_Click" CausesValidation="False" />
                    <asp:Button ID="Recover_Button" runat="server" CssClass="Page_Button" OnClick="Recover_Button_Click"
                        Text="Obnoviť účet" Width="150px" />
                </ItemTemplate>
                <ItemStyle HorizontalAlign="Center" />
            </asp:TemplateField>
        </Fields>
        <FieldHeaderStyle BackColor="#EFF3FB" Width="150px" />
        <HeaderStyle CssClass="DataControl_header" />
    </asp:DetailsView>
<%--<<<<<<< .mine
    <asp:SqlDataSource ID="Approve_SqlDataSouce" runat="server" ConnectionString="DSN=alumni;DATABASE=alumni;SERVER=localhost;PORT=5432;UID=admin;Password=admin;SSLmode=disable;ReadOnly=0;Protocol=7.4-1;FakeOidIndex=0;ShowOidColumn=0;RowVersioning=0;ShowSystemTables=0;ConnSettings=;Fetch=100;Socket=4096;UnknownSizes=0;MaxVarcharSize=255;MaxLongVarcharSize=8190;Debug=0;CommLog=0;Optimizer=1;Ksqo=1;UseDeclareFetch=0;TextAsLongVarchar=1;UnknownsAsLongVarchar=0;BoolsAsChar=1;Parse=0;CancelAsFreeStmt=0;ExtraSysTablePrefixes=dd_;;LFConversion=1;UpdatableCursors=1;DisallowPremature=0;TrueIsMinus1=0;BI=0;ByteaAsLongVarBinary=0;UseServerSidePrepare=0;LowerCaseIdentifier=0;XaOpt=1"
        ProviderName="System.Data.Odbc"></asp:SqlDataSource>
=======--%>
    <asp:SqlDataSource ID="Approve_SqlDataSouce" runat="server" ConnectionString="DSN=alumni"
        ProviderName="System.Data.Odbc">
    </asp:SqlDataSource>
    <asp:SqlDataSource ID="Role_SqlDataSource" runat="server" ConnectionString="DSN=alumni"
        ProviderName="System.Data.Odbc" SelectCommand="SELECT alumni.typ_osoby.* FROM alumni.typ_osoby">
    </asp:SqlDataSource>

</asp:Content>

