<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Curses.ascx.cs" Inherits="Curses" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>

<table cellpadding="2" cellspacing="2">
    <tr>
        <td style="width: 120px" align="left">
            <asp:Label ID="CurseName_L" runat="server" Text="Nzov kurzu"></asp:Label>
        </td>
        <td style="width: 270px">
            <asp:TextBox ID="CurseName_T" runat="server" CssClass="TextBox"></asp:TextBox>
            <asp:RequiredFieldValidator ID="CurseName_RQVal" runat="server" ControlToValidate="CurseName_T" Display="none" ValidationGroup="VG_Curses"/>
            <cc1:ValidatorCalloutExtender ID="CurseName_RQVal_ext" runat="server" TargetControlID="CurseName_RQVal" HighlightCssClass="Validator" />
        </td>
    </tr>
    <tr>
        <td style="width: 120px" align="left">
            <asp:Label ID="DateFrom_L" runat="server" Text="Dtum od"></asp:Label></td>
        <td style="width: 270px">
            <asp:TextBox ID="DateFrom_T" runat="server" CssClass="TextBox"></asp:TextBox>
            <asp:RequiredFieldValidator ID="DateFrom_RQVal" runat="server" ControlToValidate="DateFrom_T" Display="none" ValidationGroup="VG_Curses"/>
            <cc1:ValidatorCalloutExtender ID="DateFrom_RQVal_ext" runat="server" TargetControlID="DateFrom_RQVal" HighlightCssClass="Validator" />
            <asp:RegularExpressionValidator ID="DateFrom_REGVal" runat="server" ErrorMessage="Nesprvny dtum alebo formt dtumu" ControlToValidate="DateFrom_T" ValidationGroup="VG_Curses" Display="None" ValidationExpression="^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$" >?</asp:RegularExpressionValidator>
            <cc1:ValidatorCalloutExtender ID="DateFrom_REGVal_ext" runat="server" TargetControlID="DateFrom_REGVal" HighlightCssClass="Validator" />
        </td>
    </tr>
    <tr>
        <td style="width: 120px" align="left">
            <asp:Label ID="DateTo_L" runat="server" Text="Dtum do"></asp:Label>
        </td>
        <td style="width: 270px">
            <asp:TextBox ID="DateTo_T" runat="server" CssClass="TextBox"></asp:TextBox>
            <asp:RegularExpressionValidator ID="DateTo_REGVal" runat="server" ErrorMessage="Nesprvny dtum alebo formt dtumu" ControlToValidate="DateTo_T" ValidationGroup="VG_Curses" Display="None" ValidationExpression="^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$" >?</asp:RegularExpressionValidator>
            <cc1:ValidatorCalloutExtender ID="DateTo_REGVal_ext" runat="server" TargetControlID="DateTo_REGVal" HighlightCssClass="Validator" />
        </td>
    </tr>
    <tr>
        <td style="width: 120px" align="left">
            <asp:Label ID="Comment_L" runat="server" Text="Poznmka"></asp:Label>
        </td>
        <td style="width: 270px">
            <textarea id="Comment_TA" rows="3" cols="20" class="TextBox" runat="server" ></textarea>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:Button ID="Add_B" CssClass="Page_Button" runat="server" Text="Pridaj zznam" Width="100px" OnClick="Add_Button_Click" ValidationGroup="VG_Curses" />
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:Label ID="Message_L" runat="server" BackColor="lightgreen"></asp:Label>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:GridView ID="Curses_GridView" runat="server" AllowPaging="True" AllowSorting="True" 
                DataSourceID="Curses_SqlDataSource" AutoGenerateColumns="False" PageSize="5" 
                CssClass="GridView" OnRowCommand="Curses_GridView_RowCommand" DataKeyNames="id">
                <Columns>
                    <asp:BoundField DataField="id" HeaderText="ID" SortExpression="id" >
                        <ItemStyle Width="30px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="nazov" HeaderText="Nzov kurzu" SortExpression="nazov" >
                        <ItemStyle Width="320px" />
                    </asp:BoundField>
                    <asp:ButtonField ButtonType="Button" CommandName="Select_Row" Text="Vyber" >
                        <ControlStyle CssClass="Page_Button" />
                    </asp:ButtonField>
                    <asp:ButtonField ButtonType="Button" CommandName="Delete_Row" Text="Vyma" >
                        <ControlStyle CssClass="Page_Button" />
                    </asp:ButtonField>
                </Columns>
                <PagerStyle CssClass="DataControl_footer" />
                <HeaderStyle CssClass="DataControl_header" />
                <RowStyle BackColor="#EFF3FB" />
                <AlternatingRowStyle BackColor="White" />
            </asp:GridView>
            <asp:SqlDataSource ID="Curses_SqlDataSource" runat="server" ConnectionString="Dsn=alumni"
                ProviderName="System.Data.Odbc" SelectCommand="SELECT id, nazov FROM alumni.kurz ">
            </asp:SqlDataSource>
        </td>
    </tr>
    
</table>