﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Languages.ascx.cs" Inherits="Languages" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>

<table cellpadding="2" cellspacing="2">
    <tr>
        <td style="width: 180px" align="left">
            <asp:Label ID="Language_L" runat="server" Text="Jazyk"></asp:Label>
        </td>
        <td style="width: 200px">
            <asp:TextBox ID="Language_T" runat="server" CssClass="TextBox"></asp:TextBox>
            <asp:RequiredFieldValidator ID="Language_RQVal" runat="server" ControlToValidate="Language_T" Display="none" ValidationGroup="VG_Languages"/>
            <cc1:ValidatorCalloutExtender ID="Language_RQVal_ext" runat="server" TargetControlID="Language_RQVal" HighlightCssClass="Validator" />
        </td>
    </tr>
    <tr>
        <td style="width:100%" align="center" colspan="2">
            <br />
            <asp:Label ID="Knowledge_L" runat="server" Text="Úroveň znalosti" Font-Bold="true"></asp:Label>
        </td>
    </tr>
    <tr>
        <td style="width: 180px" align="left">
            <asp:Label ID="Understanding_Listening_L" runat="server" Text="Porozumenie-počúvanie"></asp:Label>
        </td>
        <td style="width: 200px">
            <asp:DropDownList ID="Understanding_Listening_DDL" runat="server" CssClass="DropDownList"></asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td style="width: 180px" align="left">
            <asp:Label ID="Understanding_Reading_L" runat="server" Text="Porozumenie-čítanie"></asp:Label>
        </td>
        <td style="width: 200px">
            <asp:DropDownList ID="Understanding_Reading_DDL" runat="server" CssClass="DropDownList"></asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td style="width: 180px" align="left">
            <asp:Label ID="Communication_Interaction_L" runat="server" Text="Komunikácia-interakcia"></asp:Label>
        </td>
        <td style="width: 200px">
            <asp:DropDownList ID="Communication_Interaction_DDL" runat="server" CssClass="DropDownList"></asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td style="width: 180px" align="left">
            <asp:Label ID="Communication_Speech_L" runat="server" Text="Komunikácia-prejav"></asp:Label>
        </td>
        <td style="width: 200px">
            <asp:DropDownList ID="Communication_Speech_DDL" runat="server" CssClass="DropDownList"></asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td style="width: 180px" align="left">
            <asp:Label ID="Writing_L" runat="server" Text="Písanie"></asp:Label>
        </td>
        <td style="width: 200px">
            <asp:DropDownList ID="Writing_DDL" runat="server" CssClass="DropDownList"></asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:Button ID="Add_B" CssClass="Page_Button" runat="server" Text="Pridaj záznam" Width="100px" OnClick="Add_Button_Click" ValidationGroup="VG_Languages" />
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:Label ID="Message_L" runat="server" BackColor="lightgreen"></asp:Label>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:GridView ID="Languages_GridView" runat="server" AllowPaging="True" AllowSorting="True" 
                DataSourceID="Languages_SqlDataSource" AutoGenerateColumns="False" PageSize="5" 
                CssClass="GridView" OnRowCommand="Languages_GridView_RowCommand" DataKeyNames="id">
                <Columns>
                    <asp:BoundField DataField="id" HeaderText="ID" SortExpression="id" >
                        <ItemStyle Width="30px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="jazyk" HeaderText="Jazyk" SortExpression="jazyk" >
                        <ItemStyle Width="300px" />
                    </asp:BoundField>
                    <asp:ButtonField ButtonType="Button" CommandName="Select_Row" Text="Vyber" >
                        <ControlStyle CssClass="Page_Button" />
                    </asp:ButtonField>
                    <asp:ButtonField ButtonType="Button" CommandName="Delete_Row" Text="Vymaž" >
                        <ControlStyle CssClass="Page_Button" />
                    </asp:ButtonField>
                </Columns>
                <PagerStyle CssClass="DataControl_footer" />
                <HeaderStyle CssClass="DataControl_header" />
                <RowStyle BackColor="#EFF3FB" />
                <AlternatingRowStyle BackColor="White" />
            </asp:GridView>
            <asp:SqlDataSource ID="Languages_SqlDataSource" runat="server" ConnectionString="Dsn=alumni"
                ProviderName="System.Data.Odbc" SelectCommand="SELECT id, jazyk FROM alumni.jazyk ">
            </asp:SqlDataSource>
        </td>
    </tr>
</table>