﻿<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="Login.aspx.cs" Inherits="Login" Title="Alumni" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<asp:Content id="Page_Content" ContentPlaceHolderID="Page_ContentPlaceHolder" Runat="Server">
    <table id="Login_Table">
        <tr>
            <td style="width: 20px">
            </td>
            <td>
                <asp:Label ID="Login_Label" runat="server" Text="Meno" Width="50px"></asp:Label>
            </td>
            <td>
                <asp:TextBox ID="Login_TextBox" runat="server" Width="200px" TabIndex = "1"></asp:TextBox>
            </td>
            <td style="width: 20px">
                <asp:RegularExpressionValidator ID="Login_RegularExpressionValidator" runat="server"
                    ControlToValidate="Login_TextBox" Display="None" ErrorMessage="Nesprávny formát prihlasovacieho mena" ValidationExpression="[a-zA-Z0-9.-]{2,20}" ToolTip="Nesprávny formát prihlasovacieho mena">?</asp:RegularExpressionValidator><asp:RequiredFieldValidator
                        ID="Login_RequiredFieldValidator" runat="server" ControlToValidate="Login_TextBox"
                        Display="None" ErrorMessage="Nieje zadané prihlasovacie meno" ToolTip="Nie je zadané prihlasovacie meno">?</asp:RequiredFieldValidator>
             </td>
        </tr>
        <tr>
            <td style="width: 20px">
            </td>
            <td>
                <asp:Label ID="Password_Label" runat="server" Text="Heslo" Width="50px"></asp:Label></td>
            <td>
                <asp:TextBox ID="Password_Textbox" runat="server" Width="200px" TextMode="Password" TabIndex = "2"></asp:TextBox>
            </td>
            <td style="width: 20px">
                <asp:RegularExpressionValidator ID="Password_RegularExpressionValidator" runat="server"
                    ControlToValidate="Password_TextBox" Display="None" ErrorMessage="Nesprávny formát hesla" ValidationExpression="[a-zA-Z0-9]{5,32}" ToolTip="Nesprávny formát hesla">?</asp:RegularExpressionValidator><asp:RequiredFieldValidator
                        ID="Password_RequiredFieldValidator" runat="server" ControlToValidate="Password_TextBox"
                        Display="None" ErrorMessage="Nieje zadané heslo" ToolTip="Nie je zadané heslo">?</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td align="center" colspan="1" style="width: 20px">
            </td>
            <td align="center" colspan="2">
                <asp:Label ID="Error_Label" runat="server" ForeColor="Red" Visible="False"></asp:Label>
            </td>
            <td align="center" style="width: 20px">
            </td>
        </tr>
        <tr>
            <td align="center" colspan="1" style="width: 20px">
            </td>
            <td align="center" colspan="2">
                <asp:Button ID="Login_Button" runat="server" Text="Prihlásiť" Width="150px" CssClass="Page_Button" OnClick="Login_Button_Click" TabIndex = "3" />
            </td>
            <td align="center" style="width: 20px">
            </td>
        </tr>
    </table>
    <cc1:validatorcalloutextender id="Login_REV_ValidatorCalloutExtender" runat="server"
        targetcontrolid="Login_RegularExpressionValidator" HighlightCssClass="Validator"></cc1:validatorcalloutextender>
    <cc1:validatorcalloutextender id="Login_RFV_ValidatorCalloutExtender" runat="server"
        targetcontrolid="Login_RequiredFieldValidator" HighlightCssClass="Validator"></cc1:validatorcalloutextender>
    <cc1:validatorcalloutextender id="Password_REV_ValidatorCalloutExtender" runat="server"
        targetcontrolid="Password_RegularExpressionValidator" HighlightCssClass="Validator"></cc1:validatorcalloutextender>
    <cc1:validatorcalloutextender id="Password_RFV_ValidatorCalloutExtender" runat="server"
        targetcontrolid="Password_RequiredFieldValidator" HighlightCssClass="Validator"></cc1:validatorcalloutextender>
</asp:Content>

