using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;
//using CoreLab.Data;
//using CoreLab.PostgreSql;
//using CoreLab.PostgreSql.Web;
//using CoreLab.PostgreSql.Web.Providers;
using System.Data.Odbc;

public partial class profil : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            if (Request.IsAuthenticated)
            {
                InitPageContent();
            }
            else
            {
                if ((Request.UrlReferrer == null) || (Request.UrlReferrer.AbsolutePath.Contains("profil.aspx")))
                {
                    Response.Redirect("./Default.aspx");
                }
                else
                {
                    Response.Redirect(Request.UrlReferrer.AbsolutePath);
                }
            }
        }
    }

    protected void InitPageContent()
    {
        profilTable.Visible = true;
        tboxMeno.Text = ((CustomPrincipal)User).Meno;
        tboxPriezvisko.Text = ((CustomPrincipal)User).Priezvisko;
        tboxCislo.Text = ((CustomPrincipal)User).Cislo;
        tboxUlica.Text = ((CustomPrincipal)User).Ulica;
        tboxMesto.Text = ((CustomPrincipal)User).Mesto;       
        tboxCvIne.Text = ((CustomPrincipal)User).Cv_ine;
        tboxDatumNarodenia.Text = ((CustomPrincipal)User).Datum_narodenia.ToShortDateString();
        tboxEmail.Text = ((CustomPrincipal)User).Email;
        tboxMaterinskyJazyk.Text = ((CustomPrincipal)User).Materinsky_jazyk;
        //tboxPoslednaIp.Text = ((CustomPrincipal)User).Posledna_ip;
        tboxPoslednePrihlasenie.Text = ((CustomPrincipal)User).Posledne_prihlasenie.ToShortDateString();
        tboxRodnePriezvisko.Text = ((CustomPrincipal)User).Rodne_priezvisko;
        tboxSkype.Text = ((CustomPrincipal)User).Skype;        
        tboxStatnaPrislusnost.Text = ((CustomPrincipal)User).Statna_prislusnost;
        tboxTelefon.Text = ((CustomPrincipal)User).Telefon;
        tboxTitulPred.Text = ((CustomPrincipal)User).Titul_pred;
        tboxTitulZa.Text = ((CustomPrincipal)User).Titul_za;
        tboxWeb.Text = ((CustomPrincipal)User).Web;
        //tboxIcq.Text = ((CustomPrincipal)User).Icq.ToString();
        if (((CustomPrincipal)User).Pohlavie == "muz")
        {
            rblPohlavie.Items[0].Selected = true;
            rblPohlavie.Items[1].Selected = false;
        }
        else if(((CustomPrincipal)User).Pohlavie == "zena")
        {
            rblPohlavie.Items[1].Selected = true;
            rblPohlavie.Items[0].Selected = false;
        }
        try
        {
            OdbcDataReader dr = DBpg.ExecuteSql("Select * from alumni.Stat");
            while (dr.Read())
            {
                if (dr["stat"] != null)
                {
                    ListItem li = new ListItem(dr["stat"].ToString(), dr["id"].ToString());
                    ddlStat.Items.Add(li);
                }
            }
            dr.Close();
        }
        catch { }
    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        UpdateProfil();
    }

    protected void UpdateProfil()
    {
        string id_adresa;
        StringBuilder sb = new StringBuilder();
        if ((((CustomPrincipal)User).AdresaId != string.Empty))
        {
            id_adresa = ((CustomPrincipal)User).AdresaId;
            sb.Append("Update alumni.adresa ");
            if (tboxCislo.Text != string.Empty)
            {
                sb.Append("Set cislo = '" + tboxCislo.Text + "'");
            }
            else
            {
                sb.Append("Set cislo = NULL");
            }
            sb.Append(", mesto = '" + tboxMesto.Text + "'");
            sb.Append(", ulica = '" + tboxUlica.Text + "'");
            sb.Append(", stat_id = '" + ddlStat.SelectedValue + "'");
            sb.Append(" where alumni.adresa.id = " + ((CustomPrincipal)User).AdresaId);
            try
            {
                DBpg.ExecuteSqlNonQuery(sb.ToString());
            }
            catch { }
            sb.Remove(0, sb.Length);
        }
        else
        {
            sb.Append("Insert Into alumni.adresa (cislo, mesto, ulica, stat_id) Values (");
            if (tboxCislo.Text != string.Empty)
            {
                sb.Append(tboxCislo.Text + ",");
            }
            else
            {
                sb.Append("NULL,");
            }
            sb.Append("'" + tboxMesto.Text + "',");
            sb.Append("'" + tboxUlica.Text + "',");
            sb.Append("'" + ddlStat.SelectedValue + "'");
            sb.Append(")");
            try
            {
                DBpg.ExecuteSqlNonQuery(sb.ToString());
            }
            catch
            { }
            sb.Remove(0, sb.Length);
            OdbcDataReader dr = DBpg.ExecuteSql("Select id from alumni.adresa order by id desc");
            dr.Read();
            id_adresa = dr[0].ToString();
            dr.Close();
        }        
       
        sb.Append("Update alumni.osoba");
        sb.Append(" Set meno = '" + tboxMeno.Text + "'");
        sb.Append(", priezvisko = '" + tboxPriezvisko.Text + "'");
        if (tboxTitulPred.Text != string.Empty)
        {
            sb.Append(", titul_pred = '" + tboxTitulPred.Text + "'");
        }
        else
        {
            sb.Append(", titul_pred = NULL ");
        }
        if (tboxTitulZa.Text != string.Empty)
        {
            sb.Append(", titul_za = '" + tboxTitulZa.Text + "'");
        }
        else
        {
            sb.Append(", titul_za = NULL");
        }
        if (tboxRodnePriezvisko.Text != string.Empty)
        {
            sb.Append(", rodne_priezvisko = '" + tboxRodnePriezvisko.Text + "'");
        }
        else
        {
            sb.Append(", rodne_priezvisko = NULL");
        }
        if (tboxStatnaPrislusnost.Text != string.Empty)
        {
            sb.Append(", statna_prislusnost = '" + tboxStatnaPrislusnost.Text + "'");
        }
        else
        {
            sb.Append(", statna_prislusnost = NULL");
        }
        if (tboxMaterinskyJazyk.Text != string.Empty)
        {
            sb.Append(", materinsky_jazyk = '" + tboxMaterinskyJazyk.Text + "'");
        }
        else
        {
            sb.Append(", materinsky_jazyk = NULL");
        }
        if (tboxTelefon.Text != string.Empty)
        {
            sb.Append(", telefon = '" + tboxTelefon.Text + "'");
        }
        else
        {
            sb.Append(", telefon = NULL");
        }
        if (tboxEmail.Text != string.Empty)
        {
            sb.Append(", email = '" + tboxEmail.Text + "'");
        }
        else
        {
            sb.Append(", email = NULL");
        }
        if (tboxWeb.Text != string.Empty)
        {
            sb.Append(", web = '" + tboxWeb.Text + "'");
        }
        else
        {
            sb.Append(", web = NULL");
        }
        sb.Append(", pohlavie = '" + rblPohlavie.SelectedValue + "'");
        sb.Append(", datum_narodenia = '" + tboxDatumNarodenia.Text.Replace(" ","") + "'");
        if (tboxCvIne.Text != string.Empty)
        {
            sb.Append(", cv_ine = '" + tboxCvIne.Text + "'");
        }
        else
        {
            sb.Append(", cv_ine = NULL");
        }
        if (tboxSkype.Text != string.Empty)
        {
            sb.Append(", skype = '" + tboxSkype.Text + "'");
        }
        else
        {
            sb.Append(", skype = NULL");
        }
        sb.Append(", adresa_id = '" + id_adresa + "'");
        //if (tboxIcq.Text != string.Empty)
        //{
        //    sb.Append(", icq = '" + tboxIcq.Text + "'");
        //}
        //else
        //{
            sb.Append(", icq = NULL");
        //}
        sb.Append(" where id = '" + ((CustomPrincipal)User).Id + "'");
        try
        {
            DBpg.ExecuteSqlNonQuery(sb.ToString());
        }
        catch { }
        sb.Remove(0, sb.Length);  
    }
}

